Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Mark Brown <[email-masked]>
Date: Tue, 26 Mar 2019 13:15:50 +0000

On Tue, Mar 26, 2019 at 01:33:49PM +1100, Stephen Rothwell wrote:

> After merging the sound-asoc tree, today's linux-next build (powerpc
> allyesconfig) failed like this:

> sound/soc/codecs/tlv320aic32x4-clk.c: In function 'clk_aic32x4_pll_prepare':
> include/linux/kernel.h:979:32: error: dereferencing pointer to incomplete type 'struct clk_hw'
>   BUILD_BUG_ON_MSG(!__same_type(*(ptr), ((type *)0)->member) && \
>                                 ^~~~~~

Hrm, seems PowerPC is still not using the common clock API - is there
any plan for that?  There are some ASoC PowerPC uses so it's going to be
a bit of an issue as we expand our use of the clock API.